(function (Drupal) {
  Drupal.behaviors.webformPrepopulateWithJs = {
    attach(context) {
      const fields = document.querySelectorAll("[data-prepopulate-js]") ?? [];
      const queryParams = new URLSearchParams(window.location.search);
      fields.forEach((field) => {
        const fieldName = field.name;
        const value = queryParams.get(fieldName);
        if (value !== null) {
          const field = document.querySelector(`[name = "${fieldName}"]`);
          if (field) {
            field.value = Drupal.checkPlain(value);
          }
        }
      });
    },
  };
})(Drupal, drupalSettings);
